Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net
Interface ConnectionListener

All Known Implementing Classes:
  LocalDir, RemoteDir

    public interface ConnectionListener

Classes that implement this interface are notified about various events that may happen. Make sure to use myftpconnection.addConnectionListener(this) in the class to get it working.

Method Summary
`void` | `actionFinished(BasicConnection con)`
`void` | `connectionFailed(BasicConnection con, java.lang.String why)`
`void` | `connectionInitialized(BasicConnection con)`
`void` | `updateProgress(java.lang.String file, java.lang.String type, long bytes)` Called every n bytes, where n is defined by Settings
`void` | `updateRemoteDirectory(BasicConnection con)` Called if the remote directory has changed by a chdir() or a finished upload for example.

Method Detail

### updateRemoteDirectory

    void updateRemoteDirectory(BasicConnection con)

  Called if the remote directory has changed by a chdir() or a finished upload for example.

### updateProgress

    void updateProgress(java.lang.String file,
                        java.lang.String type,
                        long bytes)

  Called every n bytes, where n is defined by Settings

### connectionInitialized

    void connectionInitialized(BasicConnection con)

### connectionFailed

    void connectionFailed(BasicConnection con,
                          java.lang.String why)

### actionFinished

    void actionFinished(BasicConnection con)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD